---
title: Aadhar Verification
description: This api is for validating a customer's aadhar number.
---

This api is for validating a customer's aadhar number. We have to pass name, consent text and aadhar number in request. If the request is valid, we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/aadhaar-verification
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| content-type | application/json (required) |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; (required) |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| name | Text | Name of the user sharing consent (length 4-50, required) |
| consentText | Text | Name of the user sharing consent (length 1-10000, required) |
| aadhaarNo | Text | 12 digit Aadhaar Card Number as per the Card (length 12, required) |
## Request-Example: 

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/aadhaar-verification' \
 --header 'content-type: application/json' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-raw {

    "name": "akhil",

    "consentText": "ok for consent",

    "aadhaarNo":"786705541688"

  }
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | 400- fail,200-success(length 3) |
| message | Text | success, fail |
| data | Text | { "ageBand": "20-30", "gender": "MALE", "state": "Kerala", "mobile": "" } |
## Success-Response:

```
{
    "status": "200",
    "message": "success",
    "data": {
        "ageBand": "20-30",
        "gender": "MALE",
        "state": "Kerala",
        "mobile": ""
    }
}
```
## Error-Response:

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```